#!/usr/bin/env sh

abs(){
    if [ -d "$1" ]; then
        cd "$1" 2> /dev/null
        echo "$(pwd -P)"
    else
        cd "$(dirname "$1")" 2> /dev/null
        echo "$(pwd -P)/$(basename "$1")"
    fi
}

ELM_DEFAULT_BOILERPLATE_DIR=$(abs $(dirname $(abs $0))/../lib/node_modules/elm-boilerplate)
: ${ELM_BOILERPLATE_DIR:=$ELM_DEFAULT_BOILERPLATE_DIR}

error() {
  >&2 echo $*
  exit 1
}

[ "$*" == "" ] && error Usage: elm create "Your app name" && exit 1

[ "$(/usr/bin/env ls -A)" != "" ] && error Error: current folder should be empty

cp $ELM_BOILERPLATE_DIR/Makefile . || error Error: Makefile not found

echo Creating app : $*
APP_TITLE="$*" make install
